import { HAP, Logging } from 'homebridge'
import { Config } from '../main'

const DEFAULT_CONFIG = {
  reConnectThreshold: 90000,
  reConnectFailureThreshold: 10000,
  requestConnectDebounceThreshold: 25,
  requestPropertyDebounceThreshold: 50,
}
class Foundation {
  public log!: Logging
  public hap!: HAP
  public config: Config = DEFAULT_CONFIG
}

export const SharedFoundation = new Foundation()
